# frozen_string_literal: true

require 'dvelp_flow/version'
require 'api-ai-ruby'
require 'active_support'
require 'googleauth'
require 'rest-client'
require 'twilio-ruby'

Gem.find_files('dvelp_flow/**/*.rb').each { |f| require f }

module DvelpFlow
  DialogFlow::VERSION = ENV['DIALOGFLOW_VERSION'] || 2

  def cache
    @cache ||= ActiveSupport::Cache::MemoryStore.new
  end
  module_function :cache
end
