# frozen_string_literal: true

module DvelpFlow
  module Parsers
    class Error < Base
      def initialize(response:)
        self.response = response
      end

      def intent_uuid
        ''
      end

      def intent
        ''
      end

      def parameters
        {}
      end

      def score
        0
      end

      def speech
        "Error. #{response.message}"
      end
    end
  end
end
