# frozen_string_literal: true

module DvelpFlow
  module Parsers
    class V1 < Base
      def intent_uuid
        response[:result][:metadata][:intentId]
      end

      def intent
        response[:result][:metadata][:intentName]
      end

      def parameters
        response[:result][:parameters]
      end

      def score
        response[:result][:score] * 100
      end

      def speech
        response[:result][:speech]
      end
    end
  end
end
